# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Sat Jan 25 09:04:43 2020
# ------------------------------------------------

package:
    name: r-bdgraph
    version: '2.62'
source:
    sha256: 7e5de4406f4a7873bf948852291d2851a2ab312288467687dd5c0392b2723bac
    url:
        - https://cran.r-project.org/src/contrib/Archive/BDgraph/BDgraph_2.62.tar.gz
        - https://cran.r-project.org/src/contrib/BDgraph_2.62.tar.gz
build:
    merge_build_host: true
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36h796a38f_0
requirements:
    build:
        - m2-bash 4.3.042 5
        - m2-coreutils 8.25 102
        - m2-filesystem 2016.04 4
        - m2-gcc-libs 5.3.0 4
        - m2-gmp 6.1.0 3
        - m2-libbz2 1.0.6 3
        - m2-libiconv 1.14 3
        - m2-libintl 0.19.7 4
        - m2-make 4.1 5
        - m2-msys2-runtime 2.5.0.17080.65c939c 3
        - m2-sed 4.2.2 3
        - m2-zip 3.0 2
        - m2w64-binutils 2.25.1 5
        - m2w64-bzip2 1.0.6 6
        - m2w64-crt-git 5.0.0.4636.2595836 2
        - m2w64-gcc 5.3.0 6
        - m2w64-gcc-ada 5.3.0 6
        - m2w64-gcc-fortran 5.3.0 6
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gcc-objc 5.3.0 6
        - m2w64-gmp 6.1.0 2
        - m2w64-headers-git 5.0.0.4636.c0ad18a 2
        - m2w64-isl 0.16.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-make 4.1.2351.a80a8b8 2
        - m2w64-mpc 1.0.3 3
        - m2w64-mpfr 3.1.4 4
        - m2w64-pkg-config 0.29.1 2
        - m2w64-toolchain 5.3.0 7
        - m2w64-toolchain_win-64 2.4.0 0
        - m2w64-tools-git 5.0.0.4592.90b8472 2
        - m2w64-windows-default-manifest 6.4 3
        - m2w64-winpthreads-git 5.0.0.4634.697f757 2
        - m2w64-zlib 1.2.8 10
        - msys2-conda-epoch 20160418 1
    host:
        - _r-mutex 1.0.1 anacondar_1
        - intel-openmp 2019.4 245
        - libblas 3.8.0 14_mkl
        - libflang 5.0.0 h6538335_20180525
        - liblapack 3.8.0 14_mkl
        - libopenblas 0.3.7 hcfe7411_7
        - llvm-meta 5.0.0 0
        - m2w64-bwidget 1.9.10 2
        - m2w64-bzip2 1.0.6 6
        - m2w64-expat 2.1.1 2
        - m2w64-fftw 3.3.4 6
        - m2w64-flac 1.3.1 3
        - m2w64-gcc-libgfortran 5.3.0 6
        - m2w64-gcc-libs 5.3.0 7
        - m2w64-gcc-libs-core 5.3.0 7
        - m2w64-gettext 0.19.7 2
        - m2w64-gmp 6.1.0 2
        - m2w64-gsl 2.1 2
        - m2w64-libiconv 1.14 6
        - m2w64-libjpeg-turbo 1.4.2 3
        - m2w64-libogg 1.3.2 3
        - m2w64-libpng 1.6.21 2
        - m2w64-libsndfile 1.0.26 2
        - m2w64-libtiff 4.0.6 2
        - m2w64-libvorbis 1.3.5 2
        - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
        - m2w64-libxml2 2.9.3 4
        - m2w64-mpfr 3.1.4 4
        - m2w64-pcre 8.38 2
        - m2w64-speex 1.2rc2 3
        - m2w64-speexdsp 1.2rc3 3
        - m2w64-tcl 8.6.5 3
        - m2w64-tk 8.6.5 3
        - m2w64-tktable 2.10 5
        - m2w64-wineditline 2.101 5
        - m2w64-xz 5.2.2 2
        - m2w64-zlib 1.2.8 10
        - mkl 2019.4 245
        - msys2-conda-epoch 20160418 1
        - openmp 5.0.0 vc14_1
        - r-base 3.6.2 hf0ea6f9_0
        - r-igraph 1.2.4.2 r36h5b3a9a7_0
        - r-lattice 0.20_38 r36hda5aaf8_1002
        - r-magrittr 1.5 r36h6115d3f_1002
        - r-matrix 1.2_18 r36hda5aaf8_0
        - r-pkgconfig 2.0.3 r36h6115d3f_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_1
    run:
        - libopenblas >=0.3.7,<1.0a0
        - m2w64-gcc-libs
        - r-base >=3.6,<3.7.0a0
        - r-igraph
test:
    commands:
        - '"%R%" -e "library(''BDgraph'')"'
about:
    home: https://www.uva.nl/profile/a.mohammadi
    license: GPL-2
    license_family: GPL2
    license_file:
        - D:\bld\r-bdgraph_1579943262994\_h_env/lib/R/share/licenses/GPL-2
    summary: Statistical tools for Bayesian structure learning in undirected graphical
        models for continuous, discrete, and mixed data. The package is implemented
        the recent improvements in the Bayesian graphical models literature, including
        Mohammadi and Wit (2015) <doi:10.1214/14-BA889>, Mohammadi and Wit (2019)
        <doi:10.18637/jss.v089.i03>.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - conda-forge/r
